Package org.jcsp.net

# Interface NetConnectionServer

All Superinterfaces:
  `ConnectionServer`, `Networked`

All Known Subinterfaces:
  `NetSharedConnectionServer`

public interface NetConnectionServer extends ConnectionServer, Networked
This interface should be implemented by classes that wish to act as Networked `ConnectionServer` objects.

Author:
  Quickstone Technologies Limited

## Field Summary

### Fields inherited from interface org.jcsp.lang.ConnectionServer

`FACTORY`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroyServer()`
Destroys the server and frees any resources used within the JCSP.NET infrastructure.

### Methods inherited from interface org.jcsp.lang.ConnectionServer

`reply, reply, replyAndClose, request`

### Methods inherited from interface org.jcsp.net.Networked

`getChannelLocation`

## Method Details

### destroyServer

void destroyServer()
Destroys the server and frees any resources used within the JCSP.NET infrastructure.